#$Copyright$

package VRTS::Enclosure::VDID::Vplex;
use strict;
use Carp;
require Exporter;


sub new 
{
    my $class = shift;
    my $self = {};

    bless ($self, $class);
    return $self;
}

sub initialize
{
    my $top = shift;

    my $module = new VRTS::Enclosure::VDID::Vplex;
    return $module;

}

sub get_enclosure_vdid
{
    my $self = shift;
    my $vendor = shift;
    my $product = shift;
    my $cabsno = shift;
#    my $id = join("_",($vendor,$product,$cabsno));
    my $id = $cabsno;
    return $id if ($vendor &&  $cabsno && $product);
    VRTS::Logger::log('error', "\n** VPLEX vdid.pm get_enclosure_vdid vendor $vendor  cabsno $cabsno  product $product\n");
    return undef;
}

sub get_disk_vdid
{
    my $self = shift;
    my $vendor = shift;
    my $product = shift;
    my $cabsno = shift;
    my $serial = shift;
    my $is_pdev = shift;
    my $pdev_name = shift;
    return "$vendor"."$cabsno"."$pdev_name";
    if (not defined $is_pdev or $is_pdev == 1)
    {
        return _get_pdev_vdid($vendor, $product, $cabsno, $serial, $pdev_name);
    } 

    # We want to generate an ldev vdid.
    return "$vendor"."$cabsno"."$serial";
}

sub _get_pdev_vdid
{
    my $vendor = shift;
    my $product = shift;
    my $cabsno = shift;
    my $serial = shift;
    my $pdev_name = shift;

    return "$vendor"."$cabsno"."$pdev_name";
}

1;
