#$Id$
#$Copyright$

package VRTS::Enclosure::SIPlugin::Catalog;
require Exporter;
use strict;
use vars qw($VERSION @ISA @EXPORT);
$VERSION = '5.00';
@ISA = qw(Exporter);
@EXPORT = qw[VENDOR_COMP_NOT_FOUND NO_ARRAYS_DISCOVERED PROBE_INTERNAL_ERROR 
             INVALID_FIELD_VALUE NO_OBJECTS_DISCOVERED MH_NOT_REACHABLE 
             FAILED_TO_OPEN_DATA_FILE DATA_FILE_NOT_FOUND
            ];

use constant VENDOR_COMP_NOT_FOUND => 1001;
use constant NO_ARRAYS_DISCOVERED => 1004;
use constant MH_NOT_REACHABLE => 1005;
use constant PROBE_INTERNAL_ERROR => 1010;


use constant INVALID_FIELD_VALUE => 2000;
use constant NO_OBJECTS_DISCOVERED => 2001;
use constant FAILED_TO_OPEN_DATA_FILE => 2002;
use constant DATA_FILE_NOT_FOUND => 2003;
use constant DSC_CMD_FAILED => 2004;
use constant FAILED_TO_EXEC_DSC_CMD => 2005;
use constant DSC_SCRIPT_NOT_FOUND => 2006;
use constant DSC_SCRIPT_SETUP_FAILED => 2007;
1;
