#!/opt/VRTSsfmh/bin/perl

#$Id$
#$Copyright$

BEGIN { @INC = ("/opt/VRTSsfmh/lib/modules") if ($^O !~ /Win32/i);}

use strict;
use VRTS::Paths;
use File::Spec;
use VRTS::Util;
use VRTS::Ini;

my $addon_dir = $ENV{Store};
my $installdir = VRTS::Paths::get_path ("InstallDir");
my $perl = File::Spec->catfile ($installdir, "bin", "perl");
my $setup =  File::Spec->catfile($addon_dir, "setup.pl");

my $cmd = VRTS::Util::make_command($perl, $setup, "--operation", "uninstall");
my $out = `$cmd 2>&1`;
my $ret = $?;
if ($ret)
{
    print STDERR "Failed to Uninstall the SDK Add-on: $out\n";
}
else
{
    print "Successfully uninstalled the SDK Add-on\n";
}
exit($ret);
