#$Id$
#$Copyright$

package VRTS::Enclosure::VDID::3PAR;
use strict;
use Carp;
require Exporter;


sub new 
{
    my $class = shift;
    my $self = {};

    bless ($self, $class);
    return $self;
}

sub initialize
{
    my $top = shift;

    my $module = new VRTS::Enclosure::VDID::3PAR;
    return $module;

}

sub get_enclosure_vdid
{
    my $self = shift;
    my $make = shift;
    my $product = shift;
    my $sys_id = shift;

    # Convert sys_id to all caps.
    $sys_id =~ tr/a-z/A-Z/;

    if (length($sys_id) == 3)
    {
        return $make."_".$product."_0".$sys_id;
    }

    return $make."_".$product."_".$sys_id;
}

sub get_disk_vdid
{
    my $self = shift;
    return undef;
}

sub _get_pdev_vdid
{
    return undef;
}

1;
